# PetscStrreplace

Replaces substrings in string with other substrings

### Synopsis

    #include "petsc.h"
    PetscErrorCode PETSC_DLLEXPORT PetscStrreplace(MPI_Comm comm,const char aa[],char b[],size_t len)

Not Collective

### Input Parameters

| comm | - MPI_Comm of processors that are processing the string
| aa | - the string to look in
| b | - the resulting copy of a with replaced strings (b can be the same as a)
| len | - the length of b

### Notes

Replaces ${PETSC_ARCH},${PETSC_DIR},${PETSC_LIB_DIR},${DISPLAY}, ${HOMEDIRECTORY},${WORKINGDIRECTORY},${USERNAME} with appropriate values as well as any environmental variables.

Level:intermediate
Location: src/sys/utils/str.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages